package com.sunxung.factoring.entity.financing.sop;

import javax.validation.constraints.NotNull;

/**
 * @author liutao
 * @date 2022-10-31
 */
public class ReviewMasterContractDebtorApi {

    /**
     * 债务人名称
     */
    private String companyName;

    /**
     * 企业标签
     */
    @NotNull(message = "企业标签不能为空")
    private Integer enterpriseTag;

    /**
     * 企业唯一标识
     */
    private String socialCreditCode;

    /**
     * 债务人法定代表人
     */
    private String legalPerson;

    /**
     * 债务人公司注册地址
     */
    private String address;

    /**
     * 债务人联系人
     */
    private String contact;

    /**
     * 债务人联系电话
     */
    private String contactNumber;

    /**
     * 债务人联系邮箱
     */
    private String email;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getEnterpriseTag() {
        return enterpriseTag;
    }

    public void setEnterpriseTag(Integer enterpriseTag) {
        this.enterpriseTag = enterpriseTag;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

}
